Name: ktorrent
Version: 4.3.1
Release: %mkrel 4
Summary: BitTorrent program for KDE
Group: Networking/File transfer
License: GPLv2+
Url: http://ktorrent.org/
Source0: http://ktorrent.org/downloads/%{version}/%{name}-%{version}.tar.bz2
Patch0:  ktorrent-4.3.1-fix-link.patch
BuildRequires: gmp-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: kdebase4-workspace-devel >= 4.4.0
BuildRequires: qca2-devel >= 2.0.1
BuildRequires: boost-devel
BuildRequires: taglib-devel
BuildRequires: libktorrent-devel >= 1.3.0
Obsoletes: %{_lib}ktorrent0 
Obsoletes: %{_lib}ktorrent2.1 
Obsoletes: %{_lib}ktorrent2.1.1
Obsoletes: %{_lib}ktorrent2.1.2 
Obsoletes: %{_lib}ktorrent2.1.3
Obsoletes: kde4-ktorrent < 1:%{version}-%{release}
Provides:  kde4-ktorrent = 1:%{version}-%{release}
# fix the following error:
# Critical: ktorrent(14053): Couldn't start kglobalaccel from kglobalaccel.desktop:  "Could not find service 'kglobalaccel.desktop'." 
Requires: kdebase4-runtime

%description
KTorrent is a BitTorrent program for KDE. Its main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%files -f %{name}.lang
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*
%{_kde_datadir}/apps/%{name}
%{_kde_datadir}/applications/kde4/*
%{_kde_services}/*
%{_kde_servicetypes}/*
%{_kde_docdir}/HTML/en/ktorrent
%{_kde_iconsdir}/*/*/*/*

#-------------------------------------------------------------------------

%define ktcore_major 15
%define libktcore %mklibname ktcore %{ktcore_major}

%package -n %{libktcore}
Summary:    Ktorrent library
Group:      System/Libraries
Obsoletes:  %{_lib}ktcore1 < 4.0.0-2
Obsoletes:  %{_lib}ktcore2 < 3.0-0.rc1.3
Obsoletes:  %{_lib}ktcore3 < 3.1-0.beta1.2
Obsoletes:  %{_lib}ktcore4 < 3.1-0.beta2.1
Obsoletes:  %{_lib}btcore8 < 3.2
Obsoletes:  %{_lib}btcore9 < 4.0

%description -n %{libktcore}
KTorrent library.

%files -n %{libktcore}
%{_kde_libdir}/libktcore.so.%{ktcore_major}*

#-------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake_kde4 
%make
 
%install
%makeinstall_std -C build

# make it preferred over kget:
echo "InitialPreference=5" >> %{buildroot}%{_kde_applicationsdir}/ktorrent.desktop

%find_lang %{name}


%changelog
* Fri Oct 25 2013 luigiwalser <luigiwalser> 4.3.1-4.mga4
+ Revision: 546902
- fix spelling error in library package summary (mga#11526)

* Sat Oct 19 2013 umeabot <umeabot> 4.3.1-3.mga4
+ Revision: 529519
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 4.3.1-2.mga4
+ Revision: 452357
- rebuild for new boost

* Sun Feb 03 2013 neoclust <neoclust> 4.3.1-1.mga3
+ Revision: 394240
- New Bugfix version

* Sat Jan 12 2013 umeabot <umeabot> 4.3.0-3.mga3
+ Revision: 356535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 tv <tv> 4.3.0-2.mga3
+ Revision: 322009
- requires kdebase4-runtime (fix critical error if missing)

* Sat Sep 01 2012 fwang <fwang> 4.3.0-1.mga3
+ Revision: 287020
- ktorrent-devel does not produce now
- update libmajor
- new version 4.3.0

* Wed Jun 13 2012 fwang <fwang> 4.2.1-1.mga3
+ Revision: 260162
- new version 4.2.1

* Tue Mar 06 2012 fwang <fwang> 4.2.0-1.mga2
+ Revision: 219468
- update file list
- new version 4.2.0 final

* Wed Jan 11 2012 juancho <juancho> 4.2-0.rc1.1.mga2
+ Revision: 194915
- Updated to 4.2rc1
- Did some cleanup (removed buildroot and defattr stuff)

* Wed Nov 23 2011 fwang <fwang> 4.1.3-1.mga2
+ Revision: 171233
- new version 4.1.3
- new version 4.1.2

* Thu Jun 16 2011 fwang <fwang> 4.1.1-1.mga2
+ Revision: 108086
- new version 4.1.1

* Sat Apr 09 2011 dmorgan <dmorgan> 4.1.0-1.mga1
+ Revision: 82564
- New version
  Remove libktupnp

* Fri Jan 14 2011 anssi <anssi> 4.0.5-1.mga1
+ Revision: 17558
- imported package ktorrent

